// shift alignement and compute influence adjustement.

const string INFLUENCE = "INF_Teammate";

void SetAlignmentLawChaos(int n, int nAlign, int nInf)
{
	object oPC = GetFirstPC();
	if (n > 0) AdjustAlignment(oPC, nAlign, n);
	if (GetGlobalInt("ALC_Teammate")==nAlign)
		SetGlobalInt(INFLUENCE, nInf + GetGlobalInt(INFLUENCE));
	else
	{
		if ((GetGlobalInt("ALC_Teammate")==ALIGNMENT_NEUTRAL)&&(d2()==1)) nInf = - nInf;
		SetGlobalInt(INFLUENCE, GetGlobalInt(INFLUENCE) - nInf);
	}
}

void SetAlignmentGoodEvil(int n, int nAlign, int nInf)
{
	object oPC = GetFirstPC();
	if (n > 0) AdjustAlignment(oPC, nAlign, n);
	if (GetGlobalInt("AGE_Teammate")==nAlign)
		SetGlobalInt(INFLUENCE, nInf + GetGlobalInt(INFLUENCE));
	else
	{	
		if ((GetGlobalInt("AGE_Teammate")==ALIGNMENT_ALL)&&(d2()==1)) nInf = - nInf;
		SetGlobalInt(INFLUENCE, GetGlobalInt(INFLUENCE) - nInf);
	}
}

void main (int nShift, int nLawChaos, int nInfluence)
{
 	if (nLawChaos)
	{
		if (nShift>0) SetAlignmentLawChaos(nShift, ALIGNMENT_LAWFUL, nInfluence);
		else
			if (nShift<0) SetAlignmentLawChaos(abs(nShift), ALIGNMENT_CHAOTIC, nInfluence);
			else 		  SetAlignmentLawChaos(nShift, ALIGNMENT_NEUTRAL, nInfluence);
	}
	else
	{
		if (nShift>0) SetAlignmentGoodEvil(nShift, ALIGNMENT_GOOD, nInfluence);
		else
			if (nShift<0) SetAlignmentGoodEvil(abs(nShift), ALIGNMENT_EVIL, nInfluence);
			else		  SetAlignmentGoodEvil(nShift, ALIGNMENT_ALL, nInfluence);
	}
}